# Created by pyp2rpm-1.0.1
%global pypi_name certifi

Name:           python-%{pypi_name}
Version:        2021.10.8
Release:        %mkrel 4
Group:          Development/Python
Summary:        Python package for providing Mozilla's CA Bundle
License:        ISC
URL:            https://pypi.org/project/certifi
Source0:        %{pypi_name}-%{version}.tar.gz
Patch1:         certifi-2021.5.30-use-system-cert.patch
BuildArch:      noarch

%description
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts.  It has been extracted from the Requests
project.

%package -n     python3-%{pypi_name}
Summary:        Python 3 package for providing Mozilla's CA Bundle
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       rootcerts

%description -n python3-%{pypi_name}
Certifi is a carefully curated collection of Root Certificates for
validating the trustworthiness of SSL certificates while verifying the
identity of TLS hosts.  It has been extracted from the Requests
project.

%prep
%setup -qn %{pypi_name}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove bundled Root Certificates collection
rm -rf certifi/*.pem

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 23 2022 tex - 2021.10.8-4pclos2022
- rebuild against updates

* Mon Aug 22 2022 tex - 2021.10.8-3pclos2022
- rebuild against updates

